Package org.eclipse.jface.viewers

# Class AcceptAllFilter

java.lang.Object
org.eclipse.jface.viewers.AcceptAllFilter

All Implemented Interfaces:
  `IFilter`

public final class AcceptAllFilter extends Object implements IFilter
Filter that accepts everything. Available as a singleton since having more than one instance would be wasteful.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`AcceptAllFilter()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`static IFilter`
`getInstance()`
Returns the singleton instance of AcceptAllFilter
`boolean`
`select(Object toTest)`
Determines if the given object passes this filter.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AcceptAllFilter

public AcceptAllFilter()

## Method Details

### getInstance

public static IFilter getInstance()
Returns the singleton instance of AcceptAllFilter

Returns:
  the singleton instance of AcceptAllFilter

### select

public boolean select(Object toTest)
Description copied from interface: `IFilter`
Determines if the given object passes this filter.

Specified by:
  `select` in interface `IFilter`
Parameters:
  `toTest` - object to compare against the filter
Returns:
  `true` if the object is accepted by the filter.

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`